/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//
//  LoginFormNativePage.m
//  AuthGatewayProjDemoAppIphone
//

#import "LoginFormNativePage.h"
#import "NativePage.h"


@interface LoginFormNativePage ()

@end

@implementation LoginFormNativePage

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    NSUserDefaults *prefs = [NSUserDefaults standardUserDefaults];
    
    // hit the reachability url, which will trigger the login form to load
    NSString *serverURL = [NSString stringWithFormat:@"%@/apps/services/reach",[prefs stringForKey:@"WLDefaultServerURL"]];
    
    // Creating a full screen UIWebView to display login form received from a backend
    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)];
    [webView setDelegate:self];
    [self.view addSubview:webView];
    [webView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:serverURL]]];
    [webView release];
}

- (void)webViewDidFinishLoad:(UIWebView *)webView{
    NSLog(@"webViewDidFinishLoad");
    
    // Get the received web content
    NSString *webViewContent = [webView stringByEvaluatingJavaScriptFromString:@"document.body.innerHTML"];

    // Check if it contains something that will tell us that this is a login form
    if ([webViewContent rangeOfString:@"USER" options:NSCaseInsensitiveSearch].location != NSNotFound){
        // In case it's a login form - do nothing.
        NSLog(@"Looks like we're still in a login form");
    } else {
        // In case it is not a login form looks like we've passed authentication. Need to get back to web part.
        NSLog(@"This is not a login form. Looks like auth is done");
        NSDictionary *response = [NSDictionary dictionaryWithObject:@"success" forKey:@"status"];
        [NativePage showWebView:response];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];

}

@end
